EndpointsCogents
List cogent record revisions
GET
/v2/cogents/{cogent_id}/revisions/{collection}/{key}Returns a record's revisions, oldest first: who wrote each, when, and why. Pass the last rev you read as cursor for the ones after it.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer token issued by Softmax
In: header
Path Parameters
cogent_id*Cogent Id
Cogent ID (its player ID).
Match
^ply_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$collection*Collection
Collection name.
key*Key
Record key. It may contain /.
Query Parameters
cursor?Cursor
Return revisions after this one.
Range
0 <= valueDefault
0limit?Limit
Page size.
Range
1 <= value <= 1000Default
1000curl -X GET "https://softmax.com/api/observatory/v2/cogents/string/revisions/string/string"[ { "collection": "string", "key": "string", "rev": 0, "at": "2019-08-24T14:15:22Z", "author": { "role": "coach", "agent": "string" }, "message": "string", "deleted": true }]